Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.able
Interface MouseCursorable

All Superinterfaces:
  Delegateable

All Known Implementing Classes:
  AbleComponent, BalloonHelp, ButtonEx, Calculator, CalculatorField, ColorChooser, ComboBox, ContainerEx, DateChooser, DateField, DefaultTabModel.TabButton, DisplayLayoutData, DropDown, EditableLabelEx, ExpandableSection, GroupBox, ImageIcon, ImageMap, LabelEx, ListSection, LiveTable, Menu, MenuBar, MenuButton, MenuItem, PopUp, ProgressBar, PushButton, RichTextArea, ScrollableDisplayLayoutData, Slider, Strut, TabbedPane, TemplatePanel, TitleBar, Tree

    public interface MouseCursorable

extends Delegateable

The `MouseCursorable` interface is used to set a new cursor value when the mouse is moved over a component.

Field Summary
`static int` | `CURSOR_AUTO` The UA determines the cursor to display based on the current context.
`static int` | `CURSOR_CROSSHAIR` A simple crosshair (e.g., short line segments resembling a "+" sign).
`static int` | `CURSOR_CUSTOM_URI` The user agent retrieves the cursor from the resource designated by the URI.
`static int` | `CURSOR_DEFAULT` The platform-dependent default cursor.
`static int` | `CURSOR_E_RESIZE` Used when the movement starts from the east corner of the box.
`static int` | `CURSOR_HELP` Help is available for the object under the cursor.
`static int` | `CURSOR_MOVE` Indicates something is to be moved.
`static int` | `CURSOR_N_RESIZE` Used when the movement starts from the north corner of the box.
`static int` | `CURSOR_NE_RESIZE` Used when the movement starts from the northeast corner of the box.
`static int` | `CURSOR_NW_RESIZE` Used when the movement starts from the northwest corner of the box.
`static int` | `CURSOR_POINTER` The cursor is a pointer that indicates a link.
`static int` | `CURSOR_S_RESIZE` Used when the movement starts from the south corner of the box.
`static int` | `CURSOR_SE_RESIZE` Used when the movement starts from the southeast corner of the box.
`static int` | `CURSOR_SW_RESIZE` Used when the movement starts from the southwest corner of the box.
`static int` | `CURSOR_TEXT` Indicates text that may be selected.
`static int` | `CURSOR_W_RESIZE` Used when the movement starts from the west corner of the box.
`static int` | `CURSOR_WAIT` Indicates that the program is busy and the user should wait.
`static java.lang.String` | `PROPERTY_MOUSE_CURSOR`
`static java.lang.String` | `PROPERTY_MOUSE_CURSOR_URI`

Method Summary
`int` | `getMouseCursor()` Returns the current mouse cursor in use.
`java.lang.String` | `getMouseCursorURI()`
`void` | `setMouseCursor(int mouseCursor)` Sets the mouse cursor to use.
`void` | `setMouseCursorURI(java.lang.String mouseCursorURI)` Sets the URI to a custom platform mouse cursor.

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Field Detail

### PROPERTY_MOUSE_CURSOR

    static final java.lang.String PROPERTY_MOUSE_CURSOR

See Also:
  Constant Field Values

### PROPERTY_MOUSE_CURSOR_URI

    static final java.lang.String PROPERTY_MOUSE_CURSOR_URI

See Also:
  Constant Field Values

### CURSOR_AUTO

    static final int CURSOR_AUTO

  The UA determines the cursor to display based on the current context. This is the starting value for MouseCursorables

  See Also:
    Constant Field Values

### CURSOR_DEFAULT

    static final int CURSOR_DEFAULT

  The platform-dependent default cursor. Often rendered as an arrow.

  See Also:
    Constant Field Values

### CURSOR_CROSSHAIR

    static final int CURSOR_CROSSHAIR

  A simple crosshair (e.g., short line segments resembling a "+" sign).

  See Also:
    Constant Field Values

### CURSOR_POINTER

    static final int CURSOR_POINTER

  The cursor is a pointer that indicates a link.

  See Also:
    Constant Field Values

### CURSOR_MOVE

    static final int CURSOR_MOVE

  Indicates something is to be moved.

  See Also:
    Constant Field Values

### CURSOR_E_RESIZE

    static final int CURSOR_E_RESIZE

  Used when the movement starts from the east corner of the box.

  See Also:
    Constant Field Values

### CURSOR_NE_RESIZE

    static final int CURSOR_NE_RESIZE

  Used when the movement starts from the northeast corner of the box.

  See Also:
    Constant Field Values

### CURSOR_NW_RESIZE

    static final int CURSOR_NW_RESIZE

  Used when the movement starts from the northwest corner of the box.

  See Also:
    Constant Field Values

### CURSOR_N_RESIZE

    static final int CURSOR_N_RESIZE

  Used when the movement starts from the north corner of the box.

  See Also:
    Constant Field Values

### CURSOR_SE_RESIZE

    static final int CURSOR_SE_RESIZE

  Used when the movement starts from the southeast corner of the box.

  See Also:
    Constant Field Values

### CURSOR_SW_RESIZE

    static final int CURSOR_SW_RESIZE

  Used when the movement starts from the southwest corner of the box.

  See Also:
    Constant Field Values

### CURSOR_S_RESIZE

    static final int CURSOR_S_RESIZE

  Used when the movement starts from the south corner of the box.

  See Also:
    Constant Field Values

### CURSOR_W_RESIZE

    static final int CURSOR_W_RESIZE

  Used when the movement starts from the west corner of the box.

  See Also:
    Constant Field Values

### CURSOR_TEXT

    static final int CURSOR_TEXT

  Indicates text that may be selected. Often rendered as an I-bar.

  See Also:
    Constant Field Values

### CURSOR_WAIT

    static final int CURSOR_WAIT

  Indicates that the program is busy and the user should wait. Often rendered as a watch or hourglass.

  See Also:
    Constant Field Values

### CURSOR_HELP

    static final int CURSOR_HELP

  Help is available for the object under the cursor. Often rendered as a question mark or a balloon.

  See Also:
    Constant Field Values

### CURSOR_CUSTOM_URI

    static final int CURSOR_CUSTOM_URI

  The user agent retrieves the cursor from the resource designated by the URI.

  See Also:
    Constant Field Values

Method Detail

### getMouseCursor

    int getMouseCursor()

  Returns the current mouse cursor in use. This will be one of the following values.
  - CURSOR_DEFAULT
  - CURSOR_AUTO
  - CURSOR_CROSSHAIR
  - CURSOR_POINTER
  - CURSOR_MOVE
  - CURSOR_E_RESIZE
  - CURSOR_NE_RESIZE
  - CURSOR_NW_RESIZE
  - CURSOR_N_RESIZE
  - CURSOR_SE_RESIZE
  - CURSOR_SW_RESIZE
  - CURSOR_S_RESIZE
  - CURSOR_W_RESIZE
  - CURSOR_TEXT
  - CURSOR_WAIT
  - CURSOR_HELP
  - CURSOR_CUSTOM

  Returns:
    The current mouse cursor in use.

### getMouseCursorURI

    java.lang.String getMouseCursorURI()

  Returns:
    The custom URI for the mouse cursor or null

### setMouseCursor

    void setMouseCursor(int mouseCursor)

  Sets the mouse cursor to use. This will be one of the following values.
  - CURSOR_DEFAULT
  - CURSOR_AUTO
  - CURSOR_CROSSHAIR
  - CURSOR_POINTER
  - CURSOR_MOVE
  - CURSOR_E_RESIZE
  - CURSOR_NE_RESIZE
  - CURSOR_NW_RESIZE
  - CURSOR_N_RESIZE
  - CURSOR_SE_RESIZE
  - CURSOR_SW_RESIZE
  - CURSOR_S_RESIZE
  - CURSOR_W_RESIZE
  - CURSOR_TEXT
  - CURSOR_WAIT
  - CURSOR_HELP
  - CURSOR_CUSTOM

  Parameters:
    `mouseCursor` - - the mouse cursor to use

### setMouseCursorURI

    void setMouseCursorURI(java.lang.String mouseCursorURI)

  Sets the URI to a custom platform mouse cursor. This will only be used if the mosue cusor is set to CURSOR_CUSTOM.

  Parameters:
    `mouseCursorURI` - the URI to a custom platform mouse cursor.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD